Get evaluation export
curl --request GET \
--url https://api.craftcx.com/v1/evaluations/exports/{exportId}import requests
url = "https://api.craftcx.com/v1/evaluations/exports/{exportId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.craftcx.com/v1/evaluations/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": 123,
"download_url": "<string>",
"filters": {
"from": 1,
"to": 1
},
"format": "csv",
"id": "<string>",
"kind": "axis",
"status": "pending",
"updated_at": 123,
"error_message": "<string>"
}{
"status": 401,
"title": "<string>",
"detail": "<string>",
"type": "about:blank"
}{
"status": 404,
"title": "<string>",
"detail": "<string>",
"type": "about:blank"
}{
"status": 500,
"title": "<string>",
"detail": "<string>",
"type": "about:blank"
}Export Data
Get evaluation export
Retrieve the status of an evaluation export job
GET
/
v1
/
evaluations
/
exports
/
{exportId}
Get evaluation export
curl --request GET \
--url https://api.craftcx.com/v1/evaluations/exports/{exportId}import requests
url = "https://api.craftcx.com/v1/evaluations/exports/{exportId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.craftcx.com/v1/evaluations/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": 123,
"download_url": "<string>",
"filters": {
"from": 1,
"to": 1
},
"format": "csv",
"id": "<string>",
"kind": "axis",
"status": "pending",
"updated_at": 123,
"error_message": "<string>"
}{
"status": 401,
"title": "<string>",
"detail": "<string>",
"type": "about:blank"
}{
"status": 404,
"title": "<string>",
"detail": "<string>",
"type": "about:blank"
}{
"status": 500,
"title": "<string>",
"detail": "<string>",
"type": "about:blank"
}Path Parameters
The export ID
Response
The evaluation export job details
Epoch timestamp (milliseconds) for when the export was created
Download URL for the completed export
Filters applied to the export
Show child attributes
Show child attributes
The export format
Available options:
csv The export ID
The evaluation export type
Available options:
axis, resolution_audit The status of the export
Available options:
pending, running, complete, failed Epoch timestamp (milliseconds) for when the export was last updated
A human-readable error if the export failed